#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2012
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_PATH}/java ]; then
    break
else
    JAVA_PATH=${JAVA_HOME}/bin
fi

# If OBJECTGRID_HOME does not exist then we are installed with WAS.  
# Redirect the OBJECTGRID_HOME to where the console lives.
if [ ${OBJECTGRID_HOME} ]; then
    break
else
    OBJECTGRID_HOME=$WAS_HOME/optionalLibraries/ObjectGrid
fi
if [ -z ${JAVA_HOME} ]; then
  JAVA_HOME=${OBJECTGRID_HOME}/../../java
fi

JAVA_EXE="${JAVA_HOME}/jre/bin/java"
FILE=${OBJECTGRID_HOME}/console/.zero/private/resolved.properties
HTTPSFILE1=${OBJECTGRID_HOME}/console/config/https-config-start.config
HTTPSFILE2=${OBJECTGRID_HOME}/console/config/https-config-start.config.save

if [ -f $FILE ];
then
rm  "$FILE"
fi

cd $OBJECTGRID_HOME/console

# In the case that we have an HTTPS file from a previous start, we don't want to load it
# since before_start would load and save old JVM arguments, so rename it.
if [ -f ${HTTPSFILE1} ]; then
    mv -f ${HTTPSFILE1} ${HTTPSFILE2}
fi

ZERO_OPTS=
export ZERO_OPTS

if [ -n "${CLIENTSSL}" ]; then
        CLIENTSSL="${CLIENTSSL}"
fi;
if [ -n "${CLIENTSAS}" ]; then
        CLIENTSAS="${CLIENTSAS}"
fi;

/bin/sh zero before_start
return_val="$?"
if [ $return_val -gt 0 ]; then
   exit $return_val
fi 

ZERO_OPTS_ADD=`cat ZERO_OPTS.config`
ZERO_OPTS="$ZERO_OPTS $ZERO_OPTS_ADD"
export ZERO_OPTS

/bin/sh zero setup
if [ $? -ne 0 ]
then
   exit 1
fi

ZERO_OPTS="$ZERO_OPTS -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config=$USER_INSTALL_ROOT/properties/wsjaas_client.conf -Djava.ext.dirs=${OBJECTGRID_HOME}/console/lib/asm:$JAVA_HOME/jre/lib/ext:$WAS_EXT_DIRS:$WAS_HOME/plugins -Dwas.install.root=$WAS_HOME $CLIENTSAS $CLIENTSSL -Duser.install.root=$USER_INSTALL_ROOT"
export ZERO_OPTS

nohup /bin/sh zero run > /dev/null 2>&1 &
/bin/sh zero after_start
